classification
Title: Migrate to SQLite3 trace v2 API
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland, ghaering, pablogsal, samuelmarks
Priority: normal Keywords: patch

Created on 2020-04-18 11:56 by erlendaasland, last changed 2020-11-02 09:54 by samuelmarks. This issue is now closed.

Files
File name Uploaded Description Edit
0002-Use-new-sqlite3_trace_v2-API-if-possible.patch erlendaasland, 2020-04-18 11:56
Pull Requests
URL Status Linked Edit
PR 19581 merged erlendaasland, 2020-04-18 12:22
PR 23102 closed samuelmarks, 2020-11-02 09:53
PR 23103 closed samuelmarks, 2020-11-02 09:54
Messages (2)
msg366702 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2020-04-18 11:56
Currently, we're using the sqlite3_trace() for tracing statements. This API was been superseded by sqlite3_trace_v2() in SQLite3 v3.14 back in August 2016. Proposing to migrate to the new API, which allows more fine grained control over what to trace, and also opens up the door to stuff like prepared statement status variables.

See https://sqlite.org/c3ref/trace_v2.html, https://sqlite.org/c3ref/c_trace.html, https://sqlite.org/c3ref/c_stmtstatus_counter.html, and https://sqlite.org/c3ref/experimental.html.

Attached patch (against master) uses the new API if available. Make test completes without failures.
msg376444 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-09-05 20:43
New changeset 7f331c898a36d937c66ba93f86d2a445c96d382e by Erlend Egeberg Aasland in branch 'master':
bpo-40318: Migrate to SQLite3 trace v2 API (GH-19581)
https://github.com/python/cpython/commit/7f331c898a36d937c66ba93f86d2a445c96d382e
History
Date User Action Args
2020-11-02 09:54:05samuelmarkssetpull_requests: + pull_request22020
2020-11-02 09:53:55samuelmarkssetnosy: + samuelmarks

pull_requests: + pull_request22019
2020-09-05 20:43:58pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-09-05 20:43:35pablogsalsetnosy: + pablogsal
messages: + msg376444
2020-09-05 20:04:44pablogsalsetversions: + Python 3.10, - Python 3.8, Python 3.9
2020-05-17 08:42:54erlendaaslandsetnosy: + berker.peksag
2020-04-18 12:22:47erlendaaslandsetstage: patch review
pull_requests: + pull_request18919
2020-04-18 12:00:26erlendaaslandsetnosy: + ghaering
2020-04-18 11:56:18erlendaaslandsettype: enhancement
2020-04-18 11:56:10erlendaaslandcreate